Radeon HD6450

Questions about hardware and drivers
Forum rules
Before you post please read how to get help
stanley82
Level 2
Level 2
Posts: 73
Joined: Sat Jan 28, 2012 11:01 pm

Radeon HD6450

Postby stanley82 » Wed Oct 11, 2017 9:25 pm

I've inserted my new video Radeon HD6450 and at least it plugged and played, only issue it looks yuck every now and then and I have to click display icon and re-apply the settings 1600 x 900. I'm using LMDE Betsy by the way. I tried installing the Radeon/ATI AMD-Catalyst-15.9-Linux-installer-15.201.1151-x86.x86_64.run thing, it seemed to go okay till I rebooted after that there was an Xorg problem.
There is a ton of stuff that google finds on X11 that failed to do any thing also ATI installer notes, fixing instructions in case of errors were useless and at times I was wondering if we were on the same wavelength. Deleting files that were not there and installing packages that were not found. The worst was not having an Xorg.conf file and generating it with the command "Xorg -configure" gives segment fault. Hey guys whatever is going on? At least I was smart enough to Clonezilla my HD to *.img so I could get back to where I started.

By the way out of the many Redeon suitable looking drivers found by Synaptic does one of them actually work on an HD6450 without killing me? I had a try in the past and got stuck.
Best Regards Ian.

Hoser Rob
Level 9
Level 9
Posts: 2888
Joined: Sat Dec 15, 2012 8:57 am

Re: Radeon HD6450

Postby Hoser Rob » Thu Oct 12, 2017 6:58 am

Oh dear. There are a couple of big problems here.

First, you're running LMDE, which is based on Debian whereas Mint 17 or 18 is Ubuntu based. And you're trying to use Ubuntu solutions in a Debian system. They don't work in Ubuntu all that well. Yes, Mint 17/18 is Ubuntu based, and Ubuntu is Debian based, but they're different as well.

Second, if you read this ...

http://support.amd.com/en-us/kb-article ... Notes.aspx

... you'll see that Catalyst 15.9 is not supported for any Ubuntu newer releases, or for Debian at all.

What I'm getting at is that install catalyst was pretty much guaranteed to break things.

You should also be posting in the LMDE section. You're going to get posts recommending Ubuntu based solutions that aren't going to work in LMDE.

And if you want to install AMD closed drivers in Debian, read this carefully ...

https://wiki.debian.org/ATIProprietary

User avatar
karlchen
Level 18
Level 18
Posts: 8025
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Radeon HD6450

Postby karlchen » Thu Oct 12, 2017 7:06 am

<moderator on> Moved thread to Debian Edition Support - LMDE 2 - Hardware Support </moderator off>
Image
Old bugs good, new bugs bad! Updates are evil: might fix old bugs and introduce no new ones.

stanley82
Level 2
Level 2
Posts: 73
Joined: Sat Jan 28, 2012 11:01 pm

Re: Radeon HD6450

Postby stanley82 » Thu Oct 12, 2017 9:01 am

Thanks for the heads up Rob,
My last question was that Synaptic Package Manager finds a number of suitable looking drivers and I have firmware Linux non free installed. Should I install try fglrx which is a Catalyst 15.9 and from the help above is guaranteed to fail, so why is it there in the Betsy repository? My only problem with my present system is that occasionally the colors get messed up till I open display and re-apply the 1600 x 900 default settings. Regards Ian.


Return to “Hardware Support”